@import "@/styles/variables";

.project-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: repeat(12, 1fr);
    gap: 2rem 1rem;

    @include notebook {
        padding: 0;
    }

    & a {
        color: $secondary-color;
        text-decoration: underline;
    }

    & p {
        grid-column: 1 / -1;

        @include paragraph-lg;

        @include notebook {
            padding: 0;
            grid-column: 2 / 12;
        }
    }

    & ul {
        grid-column: 1 / -1;
        list-style: none;
        margin: 0 0 0 0.2rem;
        position: relative;

        @include notebook {
            grid-column: 2 / 12;
        }

        &::before {
            content: "";
            display: inline-block;
            width: 0.2rem;
            background: $primary-color-light;
            position: absolute;
            left: 2px;
            top: 5px;
            height: calc(100% - 10px);
        }

        li {
            position: relative;
            padding-left: 1.5rem;
            margin-bottom: 1rem;
            line-height: 16px;

            &::before {
                content: "";
                display: inline-block;
                width: 0.5rem;
                height: 0.5rem;
                background: $primary-color-light;
                position: absolute;
                left: 0;
                top: 0.3rem;
                border-radius: 10px;
            }

            &:last-child {
                line-height: normal;
                margin-bottom: 0;
            }

            &.heading {
                font-size: $fs-p-lg + 2px;
                font-weight: 700;
                letter-spacing: 1px;
                vertical-align: middle;
                line-height: 18px;
                font-family: var(--font-roboto);

                &::before {
                    background: $primary-color-dark;
                }
            }
        }
    }
}
